Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 12784 - dev-perl/Apache-ASP - Active Server Pages for Apache with mod_perl
Summary: dev-perl/Apache-ASP - Active Server Pages for Apache with mod_perl
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.apache-asp.org/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2002-12-27 07:46 UTC by Martin Holzer (RETIRED)
Modified: 2014-09-12 18:50 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Apache-ASP-2.57.ebuild (Apache-ASP-2.57.ebuild,524 bytes, text/plain)
2004-08-19 17:31 UTC, trejkaz
Details
files/79_apache_asp.conf (Apache configuration for Apache-ASP) (79_apache_asp.conf,171 bytes, text/plain)
2004-08-19 17:31 UTC, trejkaz
Details
MLDBM-Sync-0.30.ebuild (dependency) (MLDBM-Sync-0.30.ebuild,421 bytes, text/plain)
2004-08-19 17:32 UTC, trejkaz
Details
Apache-ASP-2.59.ebuild (Apache-ASP-2.59.ebuild,600 bytes, text/plain)
2007-06-28 15:16 UTC, INODE64 Sistemas
Details
79_apache_asp.conf (79_apache_asp.conf,199 bytes, text/plain)
2007-06-28 15:17 UTC, INODE64 Sistemas
Details
Data-Dumper-2.121.ebuild (Data-Dumper-2.121.ebuild,428 bytes, text/plain)
2007-06-28 15:18 UTC, INODE64 Sistemas
Details
Apache-ASP-2.62.ebuild (file_12784.txt,1.77 KB, text/plain)
2013-06-09 12:31 UTC, Tom Wijsman (TomWij) (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Holzer (RETIRED) gentoo-dev 2002-12-27 07:46:54 UTC
 
Comment 1 Michael Cummings (RETIRED) gentoo-dev 2002-12-27 15:03:15 UTC
You know I hate asking this - but does this fulfill any deps/gentoo needs? We're
under a strict prohibition of adding to the dev-perl tree unless necessary right
now. (I have to ask, seemant would kill me if I didn't).
Comment 2 Martin Holzer (RETIRED) gentoo-dev 2002-12-27 15:34:42 UTC
it's not really needed by any package right now.
this is the way to run ASP on apache

many distros have this package to install

this is the convencial way to install it via cpan
 cpan> install MLDBM
 cpan> install MLDBM::Sync
 cpan> install Digest::MD5
 cpan> install Apache::ASP
or 
install Bundle::Apache::ASP


If not doing the CPAN install, download Apache::ASP and install it using the 
make or nmake commands as shown below. Otherwise, just copy ASP.pm to 
$PERLLIB/site/Apache 
  > perl Makefile.PL
  > make 
  > make test
  > make install
Comment 3 Michael Cummings (RETIRED) gentoo-dev 2003-06-20 20:06:04 UTC
Believe it or not, this was never closed. Taking a look at the req's now is a pretty hefty list (why is it I can never find an ebuild with only a few deps???). Need to trace all of the deps first, then I can see about the actual ASP ebuild.
Comment 4 trejkaz 2004-08-19 17:28:05 UTC
Since it doesn't look like this ever happened, I'm about to contribute some ebuilds for you all.

Apache::ASP does seem to be unique enough to require an ebuild, as there is a bit of configuration which needs to go along with it to enable it.  And all dependencies but one are already in Portage anyway.
Comment 5 trejkaz 2004-08-19 17:31:13 UTC
Created attachment 37776 [details]
Apache-ASP-2.57.ebuild
Comment 6 trejkaz 2004-08-19 17:31:50 UTC
Created attachment 37777 [details]
files/79_apache_asp.conf (Apache configuration for Apache-ASP)
Comment 7 trejkaz 2004-08-19 17:32:36 UTC
Created attachment 37778 [details]
MLDBM-Sync-0.30.ebuild (dependency)

This is the last one.  It's pretty late, but enjoy.  This saves me opening a
new bug for the ebuilds. :-)
Comment 8 Michael Cummings (RETIRED) gentoo-dev 2004-09-04 05:50:52 UTC
Trejkaz,

Why are you hardcoding references to apache2 in the ebuild - you don't dep it (should), and I don't know that mod_perl (also needs a dep) support is quite there yet for it be apache2 only. Webapp folks can chime in, but there's a procedure floating around for how web-app ebuilds should be constructed (sorry, just don't have the url handy atm). Just a quick 2cents worth :)
Comment 9 Renat Lumpau (RETIRED) gentoo-dev 2004-09-04 07:17:51 UTC
As far as I can see, this isn't really a webapp. For the record, man webapp.eclass is what you would consult if it were.
Comment 10 trejkaz 2004-09-05 19:21:59 UTC
You're probably right.  It could be improved a little to support Apache 1.3.x as well as httpd 2.x.

The dependency should probably be on mod_perl, since that's the real requirement here.  mod_perl itself would presumably have the Apache dependencies built-in already.  But I suppose I would still need to use USE="apache2" to select between servers.
Comment 11 Jakub Moc (RETIRED) gentoo-dev 2005-06-19 06:03:53 UTC
Works for me with the new app-portage/g-cpan ebuild, I don
Comment 12 Jakub Moc (RETIRED) gentoo-dev 2005-06-19 06:03:53 UTC
Works for me with the new app-portage/g-cpan ebuild, I don´t think that an
ebuild is necessary for this one. 
Comment 13 Michael Cummings (RETIRED) gentoo-dev 2005-11-16 02:18:15 UTC
Mass reassign from maintainer-wanted to perl-request
Comment 14 INODE64 Sistemas 2007-06-28 15:16:58 UTC
Created attachment 123318 [details]
Apache-ASP-2.59.ebuild

new version
Comment 15 INODE64 Sistemas 2007-06-28 15:17:24 UTC
Created attachment 123319 [details]
79_apache_asp.conf
Comment 16 INODE64 Sistemas 2007-06-28 15:18:11 UTC
Created attachment 123320 [details]
Data-Dumper-2.121.ebuild

need for Apache_ASP
Comment 17 Michael Cummings (RETIRED) gentoo-dev 2007-07-07 11:53:41 UTC
(In reply to comment #16)
> Created an attachment (id=123320) [edit]
> Data-Dumper-2.121.ebuild
> 
> need for Apache_ASP
> 

$ perl -MData::Dumper -e 'print "$Data::Dumper::VERSION\n";'
2.121_08

A newer version than the ebuild you attached comes with a normal perl install.
Comment 18 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-03-15 13:27:15 UTC
Any progress on this? Is this still a valid request these days?
Comment 19 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-06-09 12:05:11 UTC
Comment on attachment 37778 [details]
MLDBM-Sync-0.30.ebuild (dependency)

This dependency is in the Portage tree.
Comment 20 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-06-09 12:31:15 UTC
Created attachment 350514 [details]
Apache-ASP-2.62.ebuild

Versin bump. EAPI 5. Resolved most dependencies. Left comments documenting uncertainties. Shouldn't be too hard to get this into the tree now, please look into it; thanks.
Comment 21 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-09-12 18:50:46 UTC
Nothing to do here IMO. reopen if still needed.